## com.lowagie.text.pdf
Class PdfStructureBase

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfStructureBase

Direct Known Subclasses:
  PdfStructureElement, PdfStructureTreeRoot

    abstract class PdfStructureBase

extends PdfDictionary

The `PdfStructureBase` class, which handles basic common functionality between PdfStructureElement and PdfStructureTreeRoot. Not for public consumption.

Since:
  2.1.5
Author:
  mstorer

Field Summary
`protected PdfArray` `kids`

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfStructureBase()` child class responsible for 'reference'
`PdfStructureBase(PdfName dicType)`

Method Summary
`void` `addKid(PdfStructureElement kid)` Keep in mind that reading order is determined solely by the order in which kids are added...
`PdfIndirectReference` `getIndRef()` Gets the reference this object will be written to.
`protected abstract PdfWriter` `getWriter()`

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getDirectObject, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kids

    protected PdfArray kids

Constructor Detail

### PdfStructureBase

    public PdfStructureBase(PdfName dicType)

### PdfStructureBase

    public PdfStructureBase()

  child class responsible for 'reference'

Method Detail

### getWriter

    protected abstract PdfWriter getWriter()

### getIndRef

    public PdfIndirectReference getIndRef()

  Gets the reference this object will be written to.

  Overrides:
    `getIndRef` in class `PdfObject`
  Returns:
    the reference this object will be written to

### addKid

    public void addKid(PdfStructureElement kid)
                throws java.lang.IllegalArgumentException

  Keep in mind that reading order is determined solely by the order in which kids are added... not by MCID.

  Parameters:
    `kid` - a structure element that will be a child of 'this'.
  Throws:
    `java.lang.IllegalArgumentException` - if 'this' has a /k entry already that isn't for holding children

Hosted by Hostbasket